# hcloud_floating_ip_info – Gather infos about the Hetzner Cloud Floating IPs

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- See Also
- Examples
- Return Values
- Status

## Synopsis

- Gather facts about your Hetzner Cloud Floating IPs.
- This module was called `hcloud_floating_ip_facts` before Ansible 2.9, returning `ansible_facts` and `hcloud_floating_ip_facts`. Note that the hcloud_floating_ip_info module no longer returns `ansible_facts` and the value was renamed to `hcloud_floating_ip_info`!

Aliases: hcloud_floating_ip_facts

## Requirements

The below requirements are needed on the host that executes this module.

- hcloud-python >= 1.0.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | This is the API Token for the Hetzner Cloud.
endpoint string | Default: "https://api.hetzner.cloud/v1" | This is the API Endpoint for the Hetzner Cloud.
id integer |  | The ID of the Floating IP you want to get.
label_selector string |  | The label selector for the Floating IP you want to get.

## See Also

See also

Documentation for Hetzner Cloud API
  Complete reference for the Hetzner Cloud API.

## Examples

    - name: Gather hcloud Floating ip infos
      hcloud_floating_ip_info:
      register: output
    - name: Print the gathered infos
      debug:
        var: output

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
hcloud_floating_ip_info complex | always | The Floating ip infos as list
| description string | always | Description of the Floating IP Sample: Falkenstein DC 8
| home_location string | always | Location the Floating IP was created in Sample: fsn1
| id integer | always | Numeric identifier of the Floating IP Sample: 1937415
| ip string | always | IP address of the Floating IP Sample: 131.232.99.1
| labels dictionary | always | User-defined labels (key-value pairs)
| server string | always | Name of the server where the Floating IP is assigned to. Sample: my-server
| type string | always | Type of the Floating IP Sample: ipv4

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Lukas Kaemmerling (@LKaemmerling)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.